Refresh listings in search
const url = 'https://acme.mykreezalid.com/api/v1/listings/reindex?scope=not_indexed&limit=999';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://acme.mykreezalid.com/api/v1/listings/reindex?scope=not_indexed&limit=999' \ --header 'Authorization: Basic <credentials>'Your listings are refreshed in your marketplace search each time they are saved. Use this endpoint only to resynchronise the search with your listings when some of them are missing or outdated in the search results. It processes online listings (published and approved), the least recently refreshed first, at most limit per call: call it again until listingsReindexedCount reaches totalListingsToReindex.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Example
allnot_indexed (default) to process only the listings changed since they were last refreshed, or any other value, such as all, to process every online listing.
Maximum number of listings to process in this call (at most 999).
Responses
Section titled “Responses”What was processed
object
object
Number of listings in the scope
Number of listings refreshed by this call
Processing time, in seconds
Example
{ "result": { "totalListingsToReindex": 1200, "listingsReindexedCount": 999, "duration": 12.4 }}Missing or wrong API credentials